Latest Calamares fails to start

sudo -E calamares -d
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
qt5ct: using qt5ct plugin
QStandardPaths: wrong ownership on runtime directory /run/user/1000, 1000 instead of 0
22:13:32 [6]: Calamares::Settings::Settings(const QString&, bool)
   Using Calamares settings file at "/etc/calamares/settings.conf" 
22:13:32 [2]: WARNING: ..  Required settings.conf key oem-setup is missing. 
22:13:32 [2]: WARNING: ..  Required settings.conf key disable-cancel is missing. 
22:13:32 [2]: WARNING: ..  Required settings.conf key disable-cancel-during-exec is missing. 
22:13:32 [2]: WARNING: ..  Required settings.conf key quit-at-end is missing. 
22:13:32 [6]: void Logger::setupLogfile()

22:13:32 [6]: void CalamaresApplication::init()
   Calamares version: 3.2.24.1-1 
22:13:32 [6]: void CalamaresApplication::init()
           languages: "ar, as, ast, be, bg, ca, cs_CZ, da, de, el, en, en_GB, eo, es, es_MX, es_PR, et, eu, fi_FI, fr, gl, he, hi, hr, hu, id, is, it_IT, ja, ko, lt, ml, mr, nb, nl, pl, pt_BR, pt_PT, ro, ru, sk, sl, sq, sr, sr@latin, sv, th, tr_TR, uk, zh_CN, zh_TW" 
22:13:32 [6]: void CalamaresApplication::initQmlPath()
   Using Calamares QML directory "/usr/share/calamares/qml" 
22:13:32 [6]: Calamares::Branding::Branding(const QString&, QObject*)
   Using Calamares branding file at "/usr/share/calamares/branding/manjaro/branding.desc" 
22:13:32 [2]: void Calamares::Branding::initSimpleSettings(const YAML::Node&)
   WARNING:Branding module-setting *windowPlacement* interpreted as "free" 
22:13:32 [2]: void Calamares::flavorAndSide(const YAML::Node&, const char*, Calamares::Branding::PanelFlavor&, Calamares::Branding::PanelSide&)
   WARNING:Branding setting for sidebar is missing, using "widget" "left" 
22:13:32 [2]: void Calamares::flavorAndSide(const YAML::Node&, const char*, Calamares::Branding::PanelFlavor&, Calamares::Branding::PanelSide&)
   WARNING:Branding setting for navigation is missing, using "widget" "bottom" 
22:13:32 [2]: void CalamaresUtils::explainYamlException(const YAML::Exception&, const QByteArray&, const QString&)
   WARNING:YAML error  invalid node; first invalid key: "slideshowAPI" in "/usr/share/calamares/branding/manjaro/branding.desc" . 
22:13:32 [1]: void bail(const QString&, const QString&)
   ERROR:FATAL in "/usr/share/calamares/branding/manjaro/branding.desc" 
    invalid node; first invalid key: "slideshowAPI"

I am testing it for a Manjaro spin but I thought, after looking into it a bit, that this could be an error not with the spin itself, but the Calamares package. I tried using the same Packages-Live, Packages-Mhwd, and Packages-Root as here https://gitlab.manjaro.org/profiles-and-settings/iso-profiles/-/tree/master/ and still the same error.

Could it be related to this change https://gitlab.manjaro.org/applications/calamares/-/commit/6248c6d032d536ab4fafe6a0d09bc0296aa89cbf ?

You might need to update your tools. This got fixed in 0.15.10.

2 Likes

Ah ok thank you. The Manjaro repos are at a lower versioning right now
image
I see you updated to 0.15.10 just a day ago. Thanks!

I see it was not yet officially released here https://gitlab.manjaro.org/tools/development-tools/manjaro-tools/-/releases - I will then wait for it.

Same here. No 0.15.10 version. Only a 0.15.9-7 version available. Ouch.

Any release date for the 0.15.10? Thanks!

It got released days ago.

But not on stable for now...

$ pacman -Ss manjaro-tools
extra/manjaro-efi-utils 20170307-1
    efi utils for manjaro-tools-iso
extra/manjaro-tools-base 0.15.9-7 (manjaro-tools) [installed]
    Development tools for Manjaro Linux (base tools)
extra/manjaro-tools-base-git r2907.2949a54-1 (manjaro-tools)
    Development tools for Manjaro Linux (base tools)
extra/manjaro-tools-iso 0.15.9-7 (manjaro-tools) [installed]
    Development tools for Manjaro Linux (ISO tools)
extra/manjaro-tools-iso-git r2907.2949a54-1 (manjaro-tools)
    Development tools for Manjaro Linux (ISO tools)
extra/manjaro-tools-pkg 0.15.9-7 (manjaro-tools)
    Development tools for Manjaro Linux (packaging tools)
extra/manjaro-tools-pkg-git r2907.2949a54-1 (manjaro-tools)
    Development tools for Manjaro Linux (packaging tools)
extra/manjaro-tools-yaml 0.15.9-7 (manjaro-tools) [installed]
    Development tools for Manjaro Linux (yaml tools)
extra/manjaro-tools-yaml-git r2907.2949a54-1 (manjaro-tools)
    Development tools for Manjaro Linux (yaml tools)

Or my mirrors at not that up to date?

I see, and as @fredb74 mentioned, I do not see the update on the Stable branch. I refreshed the mirrors too.

1 Like

Our development is in unstable. Every maintainer is using this branch. Most of us use the git version of the tools. Even our vendors have no issue.

A quick question, I was trying with the git from repos:
image
Are these ones pulling the latest from git? Because it didn't work with these ones either. Just wondering.

Tools Updated. Same error.... can you please unmark this as "solved" until we find a solution? Thanks.

1 Like

I've moved this thread from #technical-issues-and-assistance:updating to #support-for-community-editions:unofficial-spins as it's not clear this is an issue with a Manjaro profile

What is the issue? The issue was fixed in Calamares and in manjaro-tools. Check todays update.

Testing. But I think it is an issue also with our custom Calamares theme so I will work to update that. I tested without our theme and now seems to work. Thank you for the help. I appreciate it.

EDIT: So, at first was a bug with Calamares + Manjaro Tools since I tested it with manjaro vanilla. After it was fixed it seems that I also had to add slideshowAPI: 1 to our custom calamares theme. Now it works. Thanks again.

Yep, you have to update your theme.

Forum kindly sponsored by